import ts from "typescript/lib/tsserverlibrary";
interface Comment extends ts.CommentRange {
    text: string;
}
export declare type Position = {
    line: number;
    character: number;
};
export declare type Range = {
    start: Position;
    end: Position;
};
export declare type Hint = {
    text: string;
    range: Range;
    contentRange: Range;
};
export declare type ImportModule = {
    moduleName: string;
    hint?: Hint;
    location: Range;
    start: number;
    length: number;
    leadingComments?: Comment[];
    trailingComments?: Comment[];
};
export declare function getImportModules(sourceFile: ts.SourceFile): ImportModule[];
export {};
