import ts from "typescript/lib/tsserverlibrary";
export interface Position {
    line: number;
    character: number;
}
export interface Range {
    start: Position;
    end: Position;
}
export declare const Position: {
    /**
     * Creates a new Position literal from the given line and character.
     * @param line The position's line.
     * @param character The position's character.
     */
    create(line: number, character: number): Position;
};
export declare const Range: {
    create(start: Position, end: Position): Range;
};
export declare type compileHint = {
    text: string;
    range: Range;
    contentRange: Range;
};
export declare function parseCompileHint(sourceFile: ts.SourceFile, comment: ts.CommentRange): compileHint | undefined;
/**
 * Get Deno compile hint from a source file
 * @param ts
 */
export declare function getDenoCompileHint(sourceFile: ts.SourceFile, pos?: number): compileHint[];
