/// <reference types="node" />
import { URL } from "url";
import { DenoExtension } from "./types";
declare type HTTPHeaders = {
    [key: string]: string;
};
export declare enum Type {
    JavaScript = "javascript",
    JavaScriptReact = "javascriptreact",
    TypeScript = "typescript",
    TypeScriptReact = "typescriptreact",
    JSON = "json",
    WebAssembly = "WebAssembly",
    PlainText = "plaintext"
}
interface HashMetaInterface {
    filepath: string;
    destinationFilepath: string;
    url: URL;
    headers: HTTPHeaders;
    type: Type;
}
export declare class HashMeta implements HashMetaInterface {
    filepath: string;
    url: URL;
    headers: HTTPHeaders;
    static create(metaFilepath: string): HashMeta | void;
    private constructor();
    get type(): Type;
    get extension(): DenoExtension;
    get destinationFilepath(): string;
}
export {};
