"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtensionFromFile = exports.localModuleResolver = void 0;
const path_1 = __importDefault(require("path"));
const utils_1 = require("../utils");
exports.localModuleResolver = {
    resolve(moduleName, originModuleName = moduleName) {
        if (!utils_1.pathExistsSync(moduleName)) {
            return;
        }
        return {
            originModuleName,
            filepath: moduleName,
            extension: getExtensionFromFile(moduleName),
        };
    },
};
function getExtensionFromFile(filename) {
    const extName = path_1.default.extname(filename);
    if (extName === ".ts") {
        if (/\.d\.ts$/.test(filename)) {
            return ".d.ts";
        }
    }
    return extName;
}
exports.getExtensionFromFile = getExtensionFromFile;
//# sourceMappingURL=local_module_resolver.js.map