"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.universalModuleResolver = void 0;
const utils_1 = require("../utils");
const remote_module_resolver_1 = require("./remote_module_resolver");
const local_module_resolver_1 = require("./local_module_resolver");
exports.universalModuleResolver = {
    resolve(moduleName, originModuleName = moduleName) {
        // If import from remote
        if (utils_1.isHttpURL(moduleName)) {
            return remote_module_resolver_1.remoteModuleResolver.resolve(moduleName, originModuleName);
        }
        return local_module_resolver_1.localModuleResolver.resolve(moduleName, originModuleName);
    },
};
//# sourceMappingURL=universal_module_resolver.js.map