import ts_module from "typescript/lib/tsserverlibrary";
import { LanguageServiceHost } from "./language_service_host";
import { Logger } from "./logger";
/**
 * An implementation of a `LanguageServiceHost` for a TypeScript project.
 *
 * The `TypeScriptServiceHost` implements the Deno `LanguageServiceHost` using
 * the TypeScript language services.
 */
export declare class TypeScriptServiceHost implements LanguageServiceHost {
    readonly tsLsHost: ts_module.LanguageServiceHost;
    private readonly logger;
    constructor(tsLsHost: ts_module.LanguageServiceHost, logger: Logger);
    getCompilationSettings(): ts_module.CompilerOptions;
    resolveModuleNames(moduleNames: string[], containingFile: string, reusedNames: string[] | undefined, redirectedReference: ts_module.ResolvedProjectReference | undefined, options: ts_module.CompilerOptions): (ts_module.ResolvedModule | undefined)[];
    getScriptFileNames(): string[];
    resolveTypeReferenceDirectives(typeDirectiveNames: string[], containingFile: string, redirectedReference: ts_module.ResolvedProjectReference | undefined, options: ts_module.CompilerOptions): (ts_module.ResolvedTypeReferenceDirective | undefined)[];
}
